<template>
  <div class="hello">
    <div class="field">
  <label class="label">Artisan</label>
  <div class="control">
    <input class="input ismid"  type="text" placeholder="Saississez le siren de l'artisan" v-model="siren" > 
  </div>
</div>
   
<div class="buttons is-centered">
<span name="Rechercher" class="button is-link is-rounded is-outlined" @click="search()">Rechercher</span>
</div>

<div  v-if="qpv" >
<div class="centered">
<div class="element">
QPV de l'entreprise :<br>
<strong>{{ qpv[0].properties.CODE_QP }}</strong> 
<br>
{{ qpv[0].properties.NOM_QP }}
<br>
{{ qpv[0].properties.COMMUNE_QP }}
</div>
  </div>
    </div>
<div >
  {{ message }}
</div>

  </div>
</template>

<script>
import { ref } from "vue";
import annuaireService from "@/services/annuaireService";


export default {
  name: "Search",
  async setup() {
    const siren = ref("")
    const qpv = ref("")
    const message = ref("")


    async function search() {
      message.value = '';
      if (siren.value != "" ) {
        qpv.value = '';
        try {
          qpv.value = await annuaireService.getQpvBySiren(
          siren.value
        );
        } catch (error) {
          qpv.value = '';
          message.value = "L'entreprise n'appartient pas à un quartier prioritaire";
        }
        
        
      } else {
        console.log("aucune recherche");
      }
    }
    return {
      search,
      qpv,
      siren,
      message,
    };
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
.element {
  text-align: left;
}
.ismid {
  max-width: 50%;
}
.w90 {
  max-width: 90vw;
}
.centered {
  margin-left: 20%;
}

@media (max-device-width: 768px) and (orientation: portrait) {
  .centered {
    margin-left: 0%;
  }
}
</style>
